Summary:		Process monitor and restart utility
Name:			monit
Version:		5.27.1
Release:		%mkrel 1
License: 		GPLv3+
Group: 			Monitoring
URL: 			http://www.tildeslash.com/monit/
Source0: 		http://mmonit.com/monit/dist/%{name}-%{version}.tar.gz
Patch0:			monit-5.8-lsb-init.patch
BuildRequires:		flex
BuildRequires:		bison
BuildRequires:		systemd
BuildRequires:		pam-devel
BuildRequires:		pkgconfig(openssl)
Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description
Monit is a utility for managing and monitoring processes,
files, directories and devices on a Unix system. Monit conducts
automatic maintenance and repair and can execute meaningful causal
actions in error situations.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

# enable logging
# sed -i 's|^# set logfile|set logfile|' monitrc

%install
%make_install

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}.d
install -m 600 monitrc %{buildroot}%{_sysconfdir}/monitrc

# systemd service file
mkdir -p %{buildroot}%{_unitdir}
install -m0644 system/startup/monit.service %{buildroot}%{_unitdir}/%{name}.service

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc CHANGES COPYING
%config(noreplace) %{_sysconfdir}/monitrc
%dir %{_sysconfdir}/%{name}.d
%{_unitdir}/%{name}.service
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue Oct 27 2020 daviddavid <daviddavid> 5.27.1-1.mga8
+ Revision: 1639760
- new version: 5.27.1

* Sat Jul 18 2020 daviddavid <daviddavid> 5.27.0-2.mga8
+ Revision: 1606887
- switch from init script to systemd service support (mga#26970)

* Tue Jun 30 2020 daviddavid <daviddavid> 5.27.0-1.mga8
+ Revision: 1600719
- new version: 5.27.0

* Sat Feb 15 2020 umeabot <umeabot> 5.26.0-2.mga8
+ Revision: 1526974
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jul 08 2019 daviddavid <daviddavid> 5.26.0-1.mga8
+ Revision: 1419453
- new version: 5.26.0

* Thu Mar 07 2019 daviddavid <daviddavid> 5.25.3-1.mga7
+ Revision: 1372149
- new version: 5.25.3

* Mon Dec 24 2018 daviddavid <daviddavid> 5.25.2-3.mga7
+ Revision: 1344775
- add upstream patch to fix new use-after-free security issue (mga#24049)

* Sun Sep 23 2018 umeabot <umeabot> 5.25.2-2.mga7
+ Revision: 1299590
- Mageia 7 Mass Rebuild

* Thu May 31 2018 daviddavid <daviddavid> 5.25.2-1.mga7
+ Revision: 1233209
- new version: 5.25.2

* Fri Nov 24 2017 daviddavid <daviddavid> 5.25.1-1.mga7
+ Revision: 1179071
- new version: 5.25.1

* Wed Nov 08 2017 daviddavid <daviddavid> 5.25.0-1.mga7
+ Revision: 1176498
- new version: 5.25.0

* Thu Sep 28 2017 daviddavid <daviddavid> 5.24.0-1.mga7
+ Revision: 1161044
- new version: 5.24.0

* Fri Sep 01 2017 daviddavid <daviddavid> 5.23.0-2.mga7
+ Revision: 1150410
- rebuild for new openssl 1.1.0f

* Wed Jul 19 2017 daviddavid <daviddavid> 5.23.0-1.mga7
+ Revision: 1124986
- new version: 5.23.0

* Wed Apr 26 2017 akien <akien> 5.22.0-1.mga6
+ Revision: 1097535
- Version 5.22.0

* Sat Oct 29 2016 daviddavid <daviddavid> 5.20.0-1.mga6
+ Revision: 1063888
- new version: 5.20.0, fixes CVE-2016-7067 (mga#19674)

* Thu Jun 16 2016 luigiwalser <luigiwalser> 5.8-6.mga6
+ Revision: 1021757
- rediff patch from opensuse to disable SSLv3

* Wed Mar 02 2016 umeabot <umeabot> 5.8-5.mga6
+ Revision: 983686
- Rebuild for openssl

* Tue Feb 02 2016 umeabot <umeabot> 5.8-4.mga6
+ Revision: 931551
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.8-3.mga5
+ Revision: 740242
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.8-2.mga5
+ Revision: 682570
- Mageia 5 Mass Rebuild

* Mon Apr 28 2014 dams <dams> 5.8-1.mga5
+ Revision: 618711
- new version 5.8

* Mon Feb 24 2014 dams <dams> 5.7-1.mga5
+ Revision: 596217
- new version 5.7

* Sat Oct 19 2013 umeabot <umeabot> 5.6-2.mga4
+ Revision: 533779
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 dams <dams> 5.6-1.mga4
+ Revision: 475384
- new version 5.6

* Mon Jul 01 2013 dams <dams> 5.5.1-1.mga4
+ Revision: 449385
- new version 5.5.1

* Sat Jan 12 2013 umeabot <umeabot> 5.5-2.mga3
+ Revision: 360217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dams <dams> 5.5-1.mga3
+ Revision: 291906
- new version 5.5

* Fri Jun 01 2012 dams <dams> 5.4-1.mga3
+ Revision: 252672
- new version 5.4
- add 'pam-devel' as BuildRequire

* Sat Dec 17 2011 stewb <stewb> 5.3.1-2.mga2
+ Revision: 183127
- only enable logging, includes are too noisy when there aren't any

* Sat Dec 17 2011 stewb <stewb> 5.3.1-1.mga2
+ Revision: 183116
- imported package monit


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-3mdv2011.0
+ Revision: 612923
- the mass rebuild of 2010.1 packages

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 5.1.1-2mdv2010.1
+ Revision: 536603
- rebuidl

* Thu Feb 25 2010 Lev Givon <lev@mandriva.org> 5.1.1-1mdv2010.1
+ Revision: 511359
- Update to 5.1.1.
- Update to 5.1.

* Thu Jan 28 2010 Adam Williamson <awilliamson@mandriva.org> 5.0.3-2mdv2010.1
+ Revision: 497711
- add config.patch to tweak config file: enable logging and include
  files in /etc/monit.d by default
- two tweaks to the initscript:
  	+ tell it to actually run as a daemon
  	+ monit should start after every other service in case it's set to
  	  monitor any of them (thanks Scott Storck from monit ML)

* Sat Aug 08 2009 Frederik Himpe <fhimpe@mandriva.org> 5.0.3-1mdv2010.0
+ Revision: 411821
- Update to new version 5.0.3
- Use configuration file included in source tarball
- Add LSB headers to init script

* Tue Feb 05 2008 Lev Givon <lev@mandriva.org> 4.10.1-1mdv2008.1
+ Revision: 162796
- Update to 4.10.1.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Thierry Vignaud <tv@mandriva.org> 4.9-2mdv2008.1
+ Revision: 119874
- rebuild b/c of missing subpackage on ia32


* Sun Mar 11 2007 Lev Givon <lev@mandriva.org> 4.9-1mdv2007.1
+ Revision: 141401
- Import monit

* Sun Mar 11 2007 Lev Givon <lev@mandriva.org> 4.9-1mdv2007.0
- Tweak spec file for Mandriva submission.

* Mon Feb 19 2007 Martin Pala <martinp@tildeslash.com>
- Upgraded to monit-4.9

* Sun Mar 05 2006 Martin Pala <martinp@tildeslash.com>
- Upgraded to monit-4.7

* Tue Sep 20 2005 Martin Pala <martinp@tildeslash.com>
- Upgraded to monit-4.6

* Wed Oct 20 2004 Martin Pala <martinp@tildeslash.com>
- Upgraded to monit-4.4

